/*
 * Copyright 2007 ZXing authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import 'parsed_result.dart';
import 'parsed_result_type.dart';

/// A simple result type encapsulating a string that has no further
/// interpretation.
///
/// @author Sean Owen
class TextParsedResult extends ParsedResult {
  String text;
  String? language;

  TextParsedResult(this.text, [this.language]) : super(ParsedResultType.text);

  @override
  String get displayResult {
    return text;
  }
}
