/// A simple property reader
class Properties {
  final Map<String, Object> _properties = {};
  final Properties? _defaults;

  Properties([this._defaults]);

  void load(String inString) {
    final List<String> lines = inString.split(RegExp('(\r\n|\r|\n)'));
    for (var element in lines) {
      if (!element.startsWith('<')) {
        final int equalPos = element.indexOf('=');
        if (equalPos > 0) {
          final key = element.substring(0, equalPos).trim();
          final value = element.substring(equalPos + 1).trim();
          _properties[key] = value;
        }
      }
    }
  }

  Map<String, Object> get properties => _properties;

  T? getProperty<T>(String key, [T? defaultValue]) {
    return (_properties[key] ?? (_defaults?.getProperty(key) ?? defaultValue))
        as T?;
  }

  void setProperty(String key, Object value) {
    _properties[key] = value;
  }

  bool containsKey(String key) => _properties.containsKey(key);
}
